JobEventType (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.app.job.event, enum: JobEventType

Package org.apache.hadoop.mapreduce.v2.app.job.event

# Enum Class JobEventType

java.lang.Object
java.lang.Enum<JobEventType>
org.apache.hadoop.mapreduce.v2.app.job.event.JobEventType

All Implemented Interfaces:
  `Serializable`, `Comparable<JobEventType>`, `Constable`

public enum JobEventType extends Enum<JobEventType>
Event types handled by Job.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INTERNAL_ERROR`
  `JOB_ABORT_COMPLETED`
  `JOB_AM_REBOOT`
  `JOB_COMMIT_COMPLETED`
  `JOB_COMMIT_FAILED`
  `JOB_COMPLETED`
  `JOB_COUNTER_UPDATE`
  `JOB_DIAGNOSTIC_UPDATE`
  `JOB_FAIL_WAIT_TIMEDOUT`
  `JOB_INIT`
  `JOB_INIT_FAILED`
  `JOB_KILL`
  `JOB_MAP_TASK_RESCHEDULED`
  `JOB_SETUP_COMPLETED`
  `JOB_SETUP_FAILED`
  `JOB_START`
  `JOB_TASK_ATTEMPT_COMPLETED`
  `JOB_TASK_ATTEMPT_FETCH_FAILURE`
  `JOB_TASK_COMPLETED`
  `JOB_UPDATED_NODES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static JobEventType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static JobEventType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### JOB_KILL

    public static final JobEventType JOB_KILL

  - ### JOB_INIT

    public static final JobEventType JOB_INIT

  - ### JOB_INIT_FAILED

    public static final JobEventType JOB_INIT_FAILED

  - ### JOB_START

    public static final JobEventType JOB_START

  - ### JOB_TASK_COMPLETED

    public static final JobEventType JOB_TASK_COMPLETED

  - ### JOB_MAP_TASK_RESCHEDULED

    public static final JobEventType JOB_MAP_TASK_RESCHEDULED

  - ### JOB_TASK_ATTEMPT_COMPLETED

    public static final JobEventType JOB_TASK_ATTEMPT_COMPLETED

  - ### JOB_SETUP_COMPLETED

    public static final JobEventType JOB_SETUP_COMPLETED

  - ### JOB_SETUP_FAILED

    public static final JobEventType JOB_SETUP_FAILED

  - ### JOB_COMMIT_COMPLETED

    public static final JobEventType JOB_COMMIT_COMPLETED

  - ### JOB_COMMIT_FAILED

    public static final JobEventType JOB_COMMIT_FAILED

  - ### JOB_ABORT_COMPLETED

    public static final JobEventType JOB_ABORT_COMPLETED

  - ### JOB_COMPLETED

    public static final JobEventType JOB_COMPLETED

  - ### JOB_FAIL_WAIT_TIMEDOUT

    public static final JobEventType JOB_FAIL_WAIT_TIMEDOUT

  - ### JOB_DIAGNOSTIC_UPDATE

    public static final JobEventType JOB_DIAGNOSTIC_UPDATE

  - ### INTERNAL_ERROR

    public static final JobEventType INTERNAL_ERROR

  - ### JOB_COUNTER_UPDATE

    public static final JobEventType JOB_COUNTER_UPDATE

  - ### JOB_TASK_ATTEMPT_FETCH_FAILURE

    public static final JobEventType JOB_TASK_ATTEMPT_FETCH_FAILURE

  - ### JOB_UPDATED_NODES

    public static final JobEventType JOB_UPDATED_NODES

  - ### JOB_AM_REBOOT

    public static final JobEventType JOB_AM_REBOOT

- ## Method Details

  - ### values

    public static JobEventType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static JobEventType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null